Get the Last Login Attempt - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Get the Last Login Attempt

Request

GET /v2.0/users/me/lastloginattempt

Example cURL Command

curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/users/me/lastloginattempt \
  --header 'X-API-Key: <api-key>'

Example Python Code

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/me/lastloginattempt"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)
print(response.text)

Example JavaScript Code

const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/me/lastloginattempt', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Example PHP Code

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/me/lastloginattempt",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response Codes

Code Description
200 Success
400 Bad Request
401 Unauthorized
402 Payment Required
403 Forbidden
404 Not Found
405 Method Not Allowed
409 Conflict
413 Payload Too Large
500 Internal Server Error
501 Not Implemented
502 Bad Gateway
503 Service Unavailable
504 Gateway Timeout

Sample Response Structure

Successful Response:

{
  "timestamp": 123,
  "location": "<string>"
}

Error Response:

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

Required Headers

Response Format

Last modified on July 8, 2026.